package com.mosty.spxl.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.spxl.TbSpxlSpxlfaUpdateDto;
import com.mosty.base.model.entity.spxl.TbSpxlSpxlfa;
import com.mosty.base.model.query.spxl.TbSpxlSpxlfaQuery;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @author dw
 * @since 2022/7/11
 * 视频巡逻方案服务类
 **/
public interface TbSpxlSpxlfaService {

    @ApiOperation("添加视频巡逻方案")
    int addEntity(TbSpxlSpxlfa fa);

    @ApiOperation("删除视频巡逻方案")
    int delEntity(List<String> ids);

    @ApiOperation("修改视频巡逻方案")
    int updateEntity(TbSpxlSpxlfaUpdateDto dto);

    @ApiOperation("分页查询视频巡逻方案")
    IPage<TbSpxlSpxlfa> queryPage(TbSpxlSpxlfaQuery dto);

    @ApiOperation("获取方案详细信息")
    TbSpxlSpxlfa getInfo(String id);
}
